CreateLinkedCardMaskedResponse

Create a new, active virtual card and link it to a reference with the given bearer details.

Request Path Parameters

ParametertypeLimitsrequiredDescription
terminalIDString10 characters✓The Paymentology issued terminal id of the terminal requesting the transaction.
referenceString1-255 characters✓The user defined reference to the card. For example: a member id or wallet number.
firstNameString0-50 characters✓The first name of the card bearer. Field is required but can accept empty string.
lastNameString0-50 characters✓The last name of the card bearer. Field is required but can accept empty string.
idOrPassportString0-20 chcracters✓The id or passport number of the card bearer. Field is required but can accept empty string.
cellphoneNumberString0-20 characters✓The cellphone number of the card bearer. Field is required but can accept empty string.
expiryDateDate✓The date at which the virtual card is set to expire. Note: Should be encrypted in the request. Before encryption it should be in this format yyyy-mm-dd:HH:nn:ss
transactionIDString1-255 characters✓A unique identifier generated by the client, which must not be duplicated over time.
transactionDateDate✓Client generated / local Transaction Date to assist in identifying transactions on the client side.
checksumString✓HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key.
<?xml version="1.0"?>
<methodCall>
    <methodName> CreateLinkedCardMaskedResponse</methodName>
    <params>
        <param>
            <value>
                <string>0014682067</string>
            </value>
        </param>
        <param>
            <value>
                <string>123TEST</string>
            </value>
        </param>
        <param>
            <value>
                <string>TTK</string>
            </value>
        </param>
        <param>
            <value>
                <string>TEST</string>
            </value>
        </param>
        <param>
            <value>
                <string>id123</string>
            </value>
        </param>
        <param>
            <value>
                <string>0924769387</string>
            </value>
        </param>
        <param>
            <value>
                <string>20221031T00:00:00</string>
            </value>
        </param>
        <param>
            <value>
                <string>123456</string>
            </value>
        </param>
        <param>
            <value>
                <dateTime.iso8601>20200327T00:00:00</dateTime.iso8601>
            </value>
        </param>
        <param>
            <value>
                <string>B112B8EAD306AB279C775EDB21990504FD87B0BA</string>
            </value>
        </param>
    </params>
</methodCall>

Response Parameters

FieldtypeDescription
cvv2StringMasked CVV2 of the specified card.
resultCodeIntegerStatus code indicating transaction result.
cardNumberStringMasked PAN for the created card.
resultTextStringText indicating transaction result.
validDateStringString representation of the valid date as MM/YY as expected by web forms when doing online payments.
expiryDateStringMasked expiry date of the created card.
trackingNumberStringGenerated tracking number for the created card.
<methodResponse>
    <params>
        <param>
            <value>
                <struct>
                    <member>
                        <name>cvv2</name>
                        <value>
                            <string>DHF67G</string>
                        </value>
                    </member>
                    <member>
                        <name>resultCode</name>
                        <value>
                            <int>1</int>
                        </value>
                    </member>
                    <member>
                        <name>cardNumber</name>
                        <value>
                            <string>54321xxxxxxxx4125</string>
                        </value>
                    </member>
                    <member>
                        <name>resultText</name>
                        <value>
                            <string>Approved</string>
                        </value>
                    </member>
                    <member>
                        <name>validDate</name>
                        <value>
                            <string>06/22</string>
                        </value>
                    </member>
                    <member>
                        <name>expiryDate</name>
                        <value>
                            <string>20xxxxxxT00:00:00</string>
                        </value>
                    </member>
                    <member>
                        <name>trackingNumber</name>
                        <value>
                            <string>689348400002066</string>
                        </value>
                    </member>
                </struct>
            </value>
        </param>
    </params>
</methodResponse>